package com.aitrainer.api.controller

import com.aitrainer.api.model.CustomerActivity
import com.aitrainer.api.repository.CustomerActivityRepository
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import javax.validation.Valid

@RestController
@RequestMapping("/api")
class CustomerActivityController(private val customerActivityRepository: CustomerActivityRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @PostMapping("/customer_activity")
    fun insertActivity(@Valid @RequestBody customerActivity: CustomerActivity): ResponseEntity<CustomerActivity> {
        val newActivity = customerActivityRepository.save(customerActivity)
        logger.info("Create new activity: $newActivity")
        return ResponseEntity.ok().body(newActivity)
    }
}