package com.aitrainer.api.controller

import com.aitrainer.api.model.CustomerConversation
import com.aitrainer.api.repository.CustomerConversationRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*


@RestController
@RequestMapping("/api")
class CustomerConversationController (private val customerConversationRepository: CustomerConversationRepository
) {

    @PostMapping("/customer_conversation")
    fun insert(@RequestBody customerConversation: CustomerConversation): ResponseEntity<CustomerConversation> {
        return ResponseEntity.ok().body(customerConversationRepository.save(customerConversation))
    }

    @GetMapping("/customer_conversation/{customerId}")
    fun getByCustomerId(@PathVariable customerId: Long): ResponseEntity<List<CustomerConversation>> {
        val list =  customerConversationRepository.findByCustomerId(customerId)
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}