package com.aitrainer.api.test


import com.aitrainer.api.controller.CustomerTrainingPlanController
import com.aitrainer.api.model.CustomerTrainingPlan
import com.aitrainer.api.repository.CustomerTrainingPlanRepository
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals
import kotlin.test.assertTrue

@SpringBootTest
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
class CustomerTrainingPlanTest {

    @Autowired
    private lateinit var customerTrainingPlanRepository: CustomerTrainingPlanRepository



    @Test
    fun testInsert() {
        val customerTrainingPlan = CustomerTrainingPlan(
            customerId = 90,
            trainingPlanId = 1,
            dateAdd = "2021-05-12",
            active = true,
            status = "open"
        )

        val controller = CustomerTrainingPlanController(customerTrainingPlanRepository)
        val response = controller.createNewCustomerTrainingPlan(customerTrainingPlan)

        val newCustomerTrainingPlan = response.body

        assertTrue(newCustomerTrainingPlan is CustomerTrainingPlan)
        assertEquals(newCustomerTrainingPlan.dateAdd, "2021-05-12")

        customerTrainingPlanRepository.delete(newCustomerTrainingPlan)
    }


}