package com.aitrainer.api.test

import com.aitrainer.api.service.PropertyServiceForJasyptStarter
import org.jasypt.encryption.StringEncryptor
import org.jasypt.encryption.pbe.PooledPBEStringEncryptor
import org.jasypt.encryption.pbe.config.SimpleStringPBEConfig
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import org.springframework.context.ApplicationContext
import org.springframework.core.env.Environment
import kotlin.test.assertEquals
import kotlin.test.assertFalse


@SpringBootTest
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
class JasyptTest {
    @Autowired
    private lateinit var appCtx: ApplicationContext

    @Test
    fun testPassword() {

        val passwordEncryptor = getEncryptor()
        val encryptedPassword = passwordEncryptor.encrypt("xxx")
        println(encryptedPassword)
        assertFalse("xxx" == encryptedPassword)
    }

    fun getEncryptor(): StringEncryptor {
        val encryptor = PooledPBEStringEncryptor()
        val config = SimpleStringPBEConfig()
        config.password = "workouttest"
        config.algorithm = "PBEWithMD5AndDES"
        config.setKeyObtentionIterations("1000")
        config.setPoolSize("1")
        config.providerName = "SunJCE"
        config.setSaltGeneratorClassName("org.jasypt.salt.RandomSaltGenerator")
        config.stringOutputType = "base64"
        encryptor.setConfig(config)
        return encryptor
    }
     //@Test
     fun whenDecryptedPasswordNeeded_GetFromService() {
         System.setProperty("jasypt.encryptor.password", "Tibor")
         val service: PropertyServiceForJasyptStarter = appCtx
             .getBean(PropertyServiceForJasyptStarter::class.java)
         assertEquals("xxx", service.storePassword)
         val environment: Environment = appCtx.getBean(Environment::class.java)
         assertEquals(
             "xxx",
             service.getPasswordUsingEnvironment(environment)
         )
     }
}